<template>
  <div class="col-sm-12 col-md-12 auth-bg-left ps-4">
    <div class="h-100 ps-5">
      <div class="logo-container p-4">
        <img src="@/assets/img/logo.png" alt="Main Logo" style="height: 50px" />
      </div>
      <div class="form-container mt-4 p-4">
        <div class="row">
          <div class="col-sm-12 col-md-6">
            <div class="form-head d-flex align-items-center">
              <div class="">
                <h2 class="fw-bold">Open an Account</h2>
              </div>
            </div>
            <div class="progress my-4" style="height: 3px">
              <div
                class="progress-bar bg-primary"
                role="progressbar"
                style="width: 45%"
              ></div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12 col-md-6">
            <div class="form-meta mb-3">
              <h4 class="fw-bold">Personal Info</h4>
              <p>
                You are required to fill this manually if did not provide your
                BVN previously
              </p>
            </div>
          </div>
        </div>
        <form @submit.prevent="submitForm()">
          <div class="row">
            <div class="col-sm-12 col-md-6">
              <div class="form-group">
                <div class="form-input mb-3">
                  <!-- <label for="FirstName">First Name</label> -->
                  <input
                    type="text"
                    class="form-control"
                    id="formBVN"
                    placeholder="First Name"
                    v-model="form.firstName"
                    v-validate="'required'"
                    name="First Name"
                  />
                  <div
                    v-show="verrors.has('First Name')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('First Name') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="text"
                    class="form-control"
                    id="formSurnName"
                    placeholder="Surname"
                    v-model="form.surnName"
                    v-validate="'required'"
                    name="Surname"
                  />
                  <div v-show="verrors.has('Surname')" class="invalid-feedback">
                    {{ verrors.first('Surname') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="text"
                    class="form-control"
                    id="formPhoneNumber"
                    placeholder="Phone Number"
                    v-model="form.phoneNumber"
                    v-validate="'required'"
                    name="Phone Number"
                  />
                  <div
                    v-show="verrors.has('Phone Number')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Phone Number') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="date"
                    class="form-control"
                    id="formDOB"
                    placeholder="Date of Birth"
                    v-model="form.dateofBirth"
                    v-validate="'required|date'"
                    name="Date of Birth"
                  />
                  <div
                    v-show="verrors.has('Date of Birth')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Date of Birth') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <select
                    v-validate="'required'"
                    name="Gender"
                    placeholder="Gender"
                    v-model="form.gender"
                    id="formGender"
                    class="form w-100"
                  >
                    <option :value="null">Gender</option>
                    <option value="male">Male</option>
                    <option value="female">Female</option>
                  </select>

                  <div v-show="verrors.has('Gender')" class="invalid-feedback">
                    {{ verrors.first('Gender') }}
                  </div>
                </div>
              </div>
            </div>
            <div class="col-sm-12 col-md-6">
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="text"
                    class="form-control"
                    id="formEmailAddress"
                    placeholder="Email Address"
                    v-model="form.email"
                    v-validate="'required|email'"
                    name="Email Address"
                  />
                  <div
                    v-show="verrors.has('Email Address')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Email Address') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="text"
                    class="form-control"
                    id="formOccupation"
                    placeholder="Occupation"
                    v-model="form.occupation"
                    v-validate="'required'"
                    name="Occupation"
                  />
                  <div
                    v-show="verrors.has('Occupation')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Occupation') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="text"
                    class="form-control"
                    id="formResidentialAddress"
                    placeholder="Residential Address"
                    v-model="form.residentialAddress"
                    v-validate="'required'"
                    name="Residential Address"
                  />
                  <div
                    v-show="verrors.has('Residential Address')"
                    class="invalid-feedback"
                  >
                    {{ verrors.first('Residential Address') }}
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="text"
                    class="form-control"
                    id="formLGA"
                    placeholder="LGA"
                    v-model="form.LGA"
                    v-validate="'required'"
                    name="LGA"
                  />
                  <div v-show="verrors.has('LGA')" class="invalid-feedback">
                    {{ verrors.first('LGA') }}
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-12 col-md-12 col-lg-6">
                  <div class="form-group">
                    <div class="form-input mb-3">
                      <input
                        type="text"
                        class="form-control"
                        id="formCity"
                        placeholder="City"
                        v-model="form.city"
                        v-validate="'required'"
                        name="City"
                      />
                      <div
                        v-show="verrors.has('City')"
                        class="invalid-feedback"
                      >
                        {{ verrors.first('City') }}
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-sm-12 col-md-12 col-lg-6">
                  <div class="form-group">
                    <div class="form-input mb-3">
                      <input
                        type="text"
                        class="form-control"
                        id="formState"
                        placeholder="State"
                        v-model="form.state"
                        v-validate="'required'"
                        name="State"
                      />
                      <div
                        v-show="verrors.has('State')"
                        class="invalid-feedback"
                      >
                        {{ verrors.first('State') }}
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="mt-3">
                <button
                  class="btn btn-primary w-100 fw-bold rounded-pill py-1"
                  type="submit"
                  :disabled="form.loading"
                >
                  <img
                    v-if="form.loading"
                    src="~@/assets/loading/loading.svg"
                    class="mr-2"
                  />
                  <span v-else> Next </span>
                </button>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'open-account-layout',
  data: () => ({
    form: {
      loading: false,
      gender: null,
    },
  }),
  methods: {
    submitForm() {
      console.log(this.form)
      this.$validator.validateAll().then((result) => {
        if (result) {
          // eslint-disable-next-line
          this.form.loading = true
          const data = {
            ...this.form,
          }
          this.$axios
            .post('auth/customers/login', data)
            .then(({ data }) => {
              console.log(data)
              this.form.loading = false
              this.$store.commit('auth/SET_DATA', data.data)
              this.$store.commit('auth/SET_TOKEN', data.token)
              this.$store.commit('SET_TOKEN', data.token)
              window.location = '/user/dashboard/overview'
              // this.$router.push("/dashboard");
              // return
            })
            .catch((error) => {
              console.log(error)
              this.form.loading = false
              this.form.loading = false
              if (
                error.response.status === 404 ||
                error.response.status === 401 ||
                error.response.status === 403 ||
                error.response.status === 406
              ) {
                this.$notify({
                  message: error.response.data.error.message,
                  multiLine: true,
                  type: 'error',
                })
              }
            })
        }
      })
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';
</style>
